Get all projects of an organization with pagination
curl --request GET \
--url https://api-eu.cybedefend.com/organization/{organizationId}/projectsimport requests
url = "https://api-eu.cybedefend.com/organization/{organizationId}/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/organization/{organizationId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projects": [
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamName": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"riskLevel": "<string>",
"riskScore": 123,
"issuesCount": {
"critical": 123,
"high": 123,
"medium": 123,
"low": 123
},
"analyses": [
{
"type": "<string>",
"lastScan": "2023-11-07T05:31:56Z",
"source": "<string>",
"issuesCount": {
"critical": 123,
"high": 123,
"medium": 123,
"low": 123
}
}
],
"isGithubLinked": true,
"isGitlabLinked": true,
"ingestionProjectId": "<string>",
"referenceBranch": "<string>"
}
],
"totalProjects": 123,
"totalPages": 123,
"mainStatistics": {
"criticalRiskProjects": 123,
"criticalRiskProjectsInLast7Days": 123,
"highRiskProjects": 123,
"highRiskProjectsInLast7Days": 123,
"solvedIssues": 123,
"solvedIssuesInLast7Days": 123,
"newIssues": 123,
"newIssuesInLast7Days": 123,
"criticalIssues": 123,
"highIssues": 123,
"mediumIssues": 123,
"lowIssues": 123
}
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Project
Get all projects of an organization with pagination
GET
/
organization
/
{organizationId}
/
projects
Get all projects of an organization with pagination
Path Parameters
Organization ID
Query Parameters
Page number
Required range:
x >= 1Example:
1
Page size
Required range:
1 <= x <= 10Example:
10
Search query
Example:
"my-project"
⌘I